
Foreman - Refactor #15364

Disable Style/ClassCheck cop

06/09/2016 09:30 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Tests   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3582

  

Description

Updating the rubocop to 0.36+ introduced Style/ClassCheck cop which enforces using is_a? over kind_of?. Unless other devs object,

I'd like to disable it. Not sure about proper category for this issue.

Related issues:

Related to Foreman - Feature #14133: Update to rubocop 0.38.0 Closed 03/10/2016

Associated revisions

Revision f7320cb8 - 08/15/2016 11:02 AM - Marek Hulán

Fixes #15364 - disable Style/ClassCheck cop

History

#1 - 06/09/2016 09:31 AM - Marek Hulán

- Related to Feature #14133: Update to rubocop 0.38.0 added

#2 - 06/09/2016 09:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3582 added

#3 - 08/15/2016 12:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f7320cb8ab8f5068529218098b90247fa2d8a3af.

#4 - 08/16/2016 04:19 AM - Dominic Cleal

- Category set to Tests

- translation missing: en.field_release set to 160

#5 - 08/16/2016 09:56 AM - Marek Hulán

- Target version set to 1.6.3
